libconfigreader-perl_0.5-5_all.deb


Advertisement

Description

libconfigreader-perl - Perl module for reading configuration files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libconfigreader-perl
Package version 0.5
Package release 5
Package architecture all
Package type deb
Installed size 45 B
Download size 23.04 KB
Official Mirror ftp.br.debian.org
The ConfigReader library is a set of classes which reads directives
from a configuration file.
Provided classes:
* ConfigReader::Spec
* ConfigReader::Values
* ConfigReader::DirectiveStyle

Alternatives

Package Version Architecture Repository
libconfigreader-perl_0.5-5_all.deb 0.5 all Debian Main
libconfigreader-perl - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package libconfigreader-perl_0.5-5_all.deb
Source Package libconfigreader-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libconfigreader-perl deb package:
    # sudo apt-get install libconfigreader-perl

Files

Path
/usr/share/doc/libconfigreader-perl/README
/usr/share/doc/libconfigreader-perl/changelog.Debian.gz
/usr/share/doc/libconfigreader-perl/copyright
/usr/share/man/man3/ConfigReader.3pm.gz
/usr/share/man/man3/ConfigReader::DirectiveStyle.3pm.gz
/usr/share/man/man3/ConfigReader::Spec.3pm.gz
/usr/share/man/man3/ConfigReader::Values.3pm.gz
/usr/share/perl5/ConfigReader.pod
/usr/share/perl5/ConfigReader/DirectiveStyle.pm
/usr/share/perl5/ConfigReader/Spec.pm
/usr/share/perl5/ConfigReader/Values.pm

Changelog

2013-12-26 - Axel Beckert <abe@debian.org>
libconfigreader-perl (0.5-5) unstable; urgency=low
* Team upload
[ gregor herrmann ]
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Removed: XS-
Vcs-Svn fields.
* debian/rules:
- don't install empty /usr/lib/perl5 directory
- don't ignore errors of $(MAKE) realclean
- remove unused compiler flags
* Set debhelper compatibility level to 5.
* Set Standards-Version to 3.7.2 (no changes needed).
* debian/rules: delete /usr/lib/perl5 only if it exists.
[ Joachim Breitner ]
* Removed myself from uploaders.
[ gregor herrmann ]
* debian/watch: use dist-based URL.
* Move patches to upstream code into debian/patches and add quilt framework.
Add clean-patched-stamp target to debian/rules that handle the moving
around of the module files before unpatching happens.
* Fix two more POD warnings.
* debian/rules: minor cleanup.
* Set Standards-Version to 3.7.3 (no changes).
* Add debian/README.source to document quilt usage, as required by
Debian Policy since 3.8.0.
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* Switch to source format "3.0 (quilt)"
+ Still needs quilt for a working clean target
+ Use dh_auto_clean in the clean target, push Makefile.PL.patch before
+ Simplify clean-patched-stamp target. Make it work with source format
"3.0 (quilt)".
* Bump debhelper compatibility to 9
+ Update versioned debhelper build-dependency accordingly
* Fix the following lintian warnings:
+ binary-control-field-duplicates-source (section + priority)
+ quilt-patch-missing-description
* Revamp debian/rules
+ Fix lintian warning debian-rules-missing-recommended-target
+ Replace "dh_clean -k" with "dh_prep"
+ Also use dh_auto_{configure,build,test,install}
- Enables test suite at build-time
+ Drop obsolete stamp-file parameters from dh_clean call
+ Drop obsolete /usr/lib/perl5 handling
+ Move dh_installdocs parameter to debian/docs
+ Remove obsolete variable usage
+ Finally switch to a minimal dh-style debian/rules file
* Bump Standards-Version to 3.9.5 (no further changes)
2004-01-18 - Joachim Breitner <nomeata@debian.org>
libconfigreader-perl (0.5-4) unstable; urgency=low
* Corrected "Uploaders:" field
* Acknowledge NMUs for real (Closes: #170061, #157467, #217113)
2004-01-13 - Marc Brockschmidt <marc@dch-faq.de>
libconfigreader-perl (0.5-3) unstable; urgency=low
* Adopting package (Closes: #217113)
* Maintainer field set to Debian Perl Group
* Acknowledge NMUs (Closes: #170061, #157467)
* debian/:
- Cleanup. Removed all hyperfluid libconfigreader-perl.* files.
- rules: New and policy compliant (shamelessly stolen from another
one of my packages)
- control: 
* Moved debhelper dependency from B-D-I to B-D (we use dh_clean in the
clean target of debian/rules
* Bumped debhelper build-dependency to >= 4.
* Added Build-Depends on perl (we use Extutils::MakeMaker)

See Also

Package Description
libconfigreader-simple-perl_1.29-1_all.deb simple configuration file parser
libconfuse-common_2.7-5_all.deb Common files for libConfuse
libconfuse-dev_2.7-5_amd64.deb Development files for libConfuse
libconfuse0_2.7-5_amd64.deb Library for parsing configuration files
libconsole-bridge-dev_0.2.5-2+b1_amd64.deb console bridge - development files
libconsole-bridge0.2_0.2.5-2+b1_amd64.deb console bridge - library
libconst-fast-perl_0.014-1_all.deb facility for creating read-only scalars, arrays, and hashes
libconstant-defer-perl_5-1_all.deb Perl module providing constant subs with deferred value calculation
libconstantine-java-doc_0.7-6_all.deb Java Constantine library API documentation
libconstantine-java_0.7-6_all.deb platform constants for Java
libcontext-preserve-perl_0.01-1_all.deb Perl module to preserve calling context
libcontextual-return-perl_0.004007-1_all.deb module for creating context-sensitive return values
libconvert-ascii-armour-perl_1.4-1_all.deb module to convert binary into ASCII-armoured messages
libconvert-ascii85-perl_0.01-1_all.deb module for encoding and decoding of ascii85/base85 strings
libconvert-asn1-perl_0.27-1_all.deb Perl module for encoding and decoding ASN.1 data structures
Advertisement
Advertisement